# Class: MoneroAccount

## MoneroAccount()

Monero account model.

## Constructor

#### new MoneroAccount()

Source:
  - src/main/js/wallet/model/MoneroAccount.js, line 8

### Methods

#### getBalance()

Source:
  - src/main/js/wallet/model/MoneroAccount.js, line 71

#### getIndex()

Source:
  - src/main/js/wallet/model/MoneroAccount.js, line 53

#### getPrimaryAddress()

Source:
  - src/main/js/wallet/model/MoneroAccount.js, line 62

#### getSubaddresses()

Source:
  - src/main/js/wallet/model/MoneroAccount.js, line 98

#### getTag()

Source:
  - src/main/js/wallet/model/MoneroAccount.js, line 89

#### getUnlockedBalance()

Source:
  - src/main/js/wallet/model/MoneroAccount.js, line 80

#### setBalance()

Source:
  - src/main/js/wallet/model/MoneroAccount.js, line 75

#### setIndex()

Source:
  - src/main/js/wallet/model/MoneroAccount.js, line 57

#### setPrimaryAddress()

Source:
  - src/main/js/wallet/model/MoneroAccount.js, line 66

#### setSubaddresses()

Source:
  - src/main/js/wallet/model/MoneroAccount.js, line 102

#### setTag()

Source:
  - src/main/js/wallet/model/MoneroAccount.js, line 93

#### setUnlockedBalance()

Source:
  - src/main/js/wallet/model/MoneroAccount.js, line 84

#### toJson()

Source:
  - src/main/js/wallet/model/MoneroAccount.js, line 41

#### toString()

Source:
  - src/main/js/wallet/model/MoneroAccount.js, line 113